Subject: RE: [Ipsec] Errata RFC4305

From: Eastlake III Donald-LDE008 <[email-masked]>
Date: Mon, 20 Feb 2006 11:31:24 -0500

Steve/Lars,

Since 2402 and 2406 are Obsoleted, it is desirable for the complete list of RFCs which obsolete/replace them to be clear from the RFC database when searched. Thus, for example, both 4302 and 4305 should be listed in the "Obsoleted by" list for RFC 2402 even if the bulk is obsoleted by 4302 and only a small part obsoleted by 4305.

It is a simple typo, as per the other message I just posted and cc'ed to the RFC-Editor as well as Ipsec, that RFC 4305 says at the top of its first page that it obsoletes "2404, 2406". It should say "2402, 2406". It does not, as far as I can see, say "2402, 2404" as implied by the first message below.

Donald

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Stephen Kent
Sent: Monday, February 06, 2006 11:53 AM
To: Lars Völker
Cc: 'IPsec'; 'Russ Housley'
Subject: RE: [Ipsec] Errata RFC4305

At 9:42 AM +0100 2/6/06, Lars Völker wrote:
>Hi!
>
>Is this a bug that RFC 4305 obsoletes 2402 (AH) and 2404 (SHA1)?
>4305 says that 2404 is a must but also obsoletes it? Shouldn't it 
>obsolete 2402 (AH) and 2406 (ESP)? Do I miss a point?
>
>Lars

2402 is replaced by 4302, and 2406 is replaced by 4303, which is what the headers of these new RFCs state.

This document supercedes very small parts of 2402 and 2406, but it is not the replacement for those 
documents.   2404 was a narrow document, 
specifying how to use HMAC-SHA-1 with AH and ESP. 
I agree that 4305 should NOT be considered a replacement for 2404 OR for 2406.  These are errors.

Steve

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec